MUNMAP(2) | System Calls Manual | MUNMAP(2)

# NAME

`munmap` — remove a mapping

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <sys/mman.h>`

int
`munmap`(void *addr, size_t len);

# DESCRIPTION

The `munmap`() system call deletes the mappings for the specified address range, and causes further references to addresses within the range to generate invalid memory references.

# RETURN VALUES

Upon successful completion, `munmap` returns zero. Otherwise, a value of -1 is returned and errno is set to indicate the error.

# ERRORS

`munmap`() will fail if:

[`EINVAL`]
  The addr parameter was not page aligned, or some part of the region being unmapped is outside the valid address range for a process.

# SEE ALSO

madvise(2), mincore(2), mlock(2), mmap(2), mprotect(2), msync(2), getpagesize(3)

# STANDARDS

The `munmap`() function conforms to IEEE Std 1003.1b-1993 (“POSIX.1b”).

# HISTORY

The `munmap`() function first appeared in 4.4BSD.

May 27, 1994 | NetBSD 11.0